function newPizza()
{
   pizzas_mc.attachMovie("pizza","pizza" + pizzasMade,pizzas_mc.getNextHighestDepth());
   pizza_mc = pizzas_mc["pizza" + pizzasMade];
   pizza_mc.gotoAndStop(1);
   pizza_mc.num = pizzasMade;
   var _loc1_ = new mx.transitions.Tween(pizza_mc,"_x",mx.transitions.easing.Strong.easeOut,-218,441,0.5,true);
   _loc1_.onMotionFinished = function()
   {
      pizza_mc.gotoAndPlay("drop_crust");
   };
   pizza_mc.numToppings = 0;
   pizza_mc.toppingsAdded = new Array();
   NPI = setInterval(showOrder,200);
   sfx_mc.playSound("slide");
}
function hidePizza(newwhencomplete)
{
   pizza_mc.oy = 100;
   pizza_mc.ox = 1240;
   var _loc1_ = new mx.transitions.Tween(pizza_mc,"_x",mx.transitions.easing.Strong.easeOut,pizza_mc._x,pizza_mc.ox,1,true);
   var _loc2_ = new mx.transitions.Tween(pizza_mc,"_y",mx.transitions.easing.Strong.easeOut,pizza_mc._y,pizza_mc.oy,0.6,true);
   _loc1_.onMotionFinished = function()
   {
      if(newwhencomplete)
      {
         if(doOven && pizza_mc.num == pizzasMade - 1)
         {
            prepareForOven(pizza_mc);
            gotoOvens();
         }
         else
         {
            pizza_mc.removeMovieClip();
         }
         newPizza();
      }
      else
      {
         pizza_mc.removeMovieClip();
      }
   };
}
function cookPizza(mc)
{
   var _loc2_ = mc.toppings_mc;
   var _loc3_ = _loc2_.attachMovie("pizza_topping","t20",30);
   _loc3_.gotoAndStop("left");
   _loc3_.toppings_mc.gotoAndStop("meltedcheese");
   var _loc1_ = _loc2_.attachMovie("pizza_topping","t20",31);
   _loc1_.gotoAndStop("right");
   _loc1_.toppings_mc.gotoAndStop("meltedcheese");
}
function addTopping(topping, side)
{
   var _loc7_ = pizza_mc.toppings_mc;
   if(pizza_mc.toppingsAdded[side + topping])
   {
      pizza_mc.isOver(null);
      sfx_mc.playSound("wrongtopping");
      return undefined;
   }
   var _loc8_ = undefined;
   if(!updateOrder(topping))
   {
      showMessage("Oh No! You messed up!",2);
      mistakes++;
      _parent.info_mc.updateMistakes(mistakes);
      if(mistakes == maxmistakes)
      {
         loseGame(1);
      }
      sfx_mc.playSound("wrongtopping");
      pizza_mc.isOver(null);
      hidePizza(true);
      return undefined;
   }
   scoreRiser(toppingScore);
   sfx_mc.playSound("toppingdrop");
   pizza_mc.numToppings = pizza_mc.numToppings + 1;
   var _loc6_ = pizza_mc.numToppings;
   var _loc3_ = _loc6_ + 5;
   if(topping == "cheese" && side == "left")
   {
      _loc3_ = 3;
   }
   else if(topping == "cheese" && side == "right")
   {
      _loc3_ = 4;
   }
   else if(topping == "sauce" && side == "left")
   {
      _loc3_ = 1;
   }
   else if(topping == "sauce" && side == "right")
   {
      _loc3_ = 2;
   }
   _loc7_.attachMovie("pizza_topping","t" + _loc6_,_loc3_);
   var _loc5_ = _loc7_["t" + _loc6_];
   _loc5_._x = 0;
   _loc5_._y = 0;
   _loc5_.gotoAndStop(side);
   _loc5_.toppings_mc.gotoAndStop(topping);
   pizza_mc.toppingsAdded[side + topping] = 1;
   pizza_mc.isOver(null);
   if(isOrderComplete())
   {
      completePizza();
   }
}
function completePizza()
{
   pizzasMade++;
   if(skillLevel < 3)
   {
      showMessage("Good Job!",2);
      pizzasCompleted++;
      scoreRiser(pizzaMadeScore);
   }
   pizza_mc.isComplete = true;
   _parent.info_mc.updatePizzas(pizzasCompleted);
   pizza_mc.gotoAndPlay("complete");
   sfx_mc.playSound("pizzadone");
   var makeNewPizza = true;
   if(pizzasCompleted == pizzaGoal)
   {
      makeNewPizza = false;
      ELI = setInterval(function()
      {
         clearInterval(ELI);
         endLevel();
      }
      ,2500);
   }
   SOI = setInterval(function()
   {
      clearInterval(SOI);
      hideOrder();
      hidePizza(makeNewPizza);
   }
   ,500);
}
function burntPizza(mc)
{
   var _loc2_ = mc.inUse;
   mistakes++;
   _parent.info_mc.updateMistakes(mistakes);
   if(mistakes == maxmistakes)
   {
      loseGame(1);
   }
   showMessage("A Pizza Just Burned!",2);
   _loc2_.gotoAndPlay("burnt");
   _loc2_.onRollOver = undefined;
   _loc2_.onRollOut = undefined;
   _loc2_.onPress = undefined;
   mc.inUse = undefined;
   mc.playSmoke();
   mc.timer_mc.stopTimer();
}
function addOrdertoStack()
{
   numOrders++;
   orderinc = 75;
   orderx = 640;
   clearInterval(OI);
   if(allOrders.length >= 8)
   {
      loseGame(2);
      return undefined;
   }
   var _loc6_ = generateOrder(numOrders);
   orders_mc.attachMovie("order_slip","oslip" + numOrders,numOrders);
   var _loc2_ = orders_mc["oslip" + numOrders];
   _loc2_.num = numOrders;
   _loc2_.order = _loc6_;
   allOrders.push(_loc2_);
   _parent.info_mc.updateWaiting();
   var _loc3_ = allOrders.length - 1;
   var _loc4_ = orderx - orderinc * _loc3_;
   var _loc5_ = new mx.transitions.Tween(_loc2_,"_x",mx.transitions.easing.Strong.easeOut,-60,_loc4_,1,true);
   _loc5_.onMotionFinished = function()
   {
      if(!o_mc)
      {
         showOrder();
      }
   };
   orderInterval = getOrderDelay();
   OI = setInterval(addOrdertoStack,orderInterval);
}
function generateOrder()
{
   var _loc6_ = new Array();
   var _loc3_ = new Array();
   var _loc8_ = new Array(2,4,6);
   var _loc9_ = skillLevel - 1;
   _loc6_[0] = createOrderTopping("sauce",2);
   _loc6_[1] = createOrderTopping("cheese",2);
   var _loc5_ = false;
   var _loc7_ = Math.floor(Math.random() * _loc8_[_loc9_]) + 1;
   var _loc2_ = 1;
   while(_loc2_ <= _loc7_)
   {
      do
      {
         var r = Math.floor(Math.random() * (toppings.length - 1)) + 1;
      }
      while(_loc3_[toppings[r]] == 1);
      
      var _loc1_ = 2;
      if(skillLevel > 1 && !_loc5_)
      {
         var _loc4_ = Math.floor(Math.random() * 6);
         if(_loc4_)
         {
            _loc1_ = 1;
         }
         _loc5_ = true;
      }
      _loc6_.push(createOrderTopping(toppings[r],_loc1_));
      _loc3_[toppings[r]] = 1;
      _loc2_ = _loc2_ + 1;
   }
   return _loc6_;
}
function createOrderTopping(topping, sides)
{
   var _loc1_ = new Object();
   _loc1_.topping = topping;
   _loc1_.sides = sides;
   _loc1_.sideson = 0;
   return _loc1_;
}
function getOrderDelay()
{
   var _loc1_ = skillLevel - 1;
   var _loc5_ = new Array(12000,9000,22000);
   var _loc3_ = new Array(7000,5000,10000);
   var _loc2_ = _loc5_[_loc1_];
   _loc3_[_loc1_] -= 30 * pizzasMade;
   if(_loc3_[_loc1_] < 0)
   {
      _loc3_[_loc1_] = 0;
   }
   var _loc6_ = Math.round(Math.random() * _loc3_[_loc1_]);
   _loc2_ += _loc6_;
   var _loc4_ = pizzasMade * 40;
   _loc2_ -= _loc4_;
   return _loc2_;
}
function showOrder()
{
   clearInterval(NPI);
   if(o_mc)
   {
      resetOrder();
      return undefined;
   }
   if(allOrders.length == 0)
   {
      clearInterval(OI);
      addOrdertoStack();
      return undefined;
   }
   var _loc5_ = allOrders.shift();
   sfx_mc.playSound("orderup");
   main_mc.attachMovie("fullsize_order","o_mc",5000);
   orderUp = true;
   o_mc._xscale = o_mc._yscale = 40;
   o_mc._y = _loc5_._y + 120;
   o_mc._x = _loc5_._x - 50;
   o_mc.order = _loc5_.order;
   o_mc.num = _loc5_.num;
   o_mc._rotation = _loc5_._rotation;
   _loc5_.removeMovieClip();
   var _loc9_ = new mx.transitions.Tween(o_mc,"_xscale",mx.transitions.easing.Strong.easeOut,35,85,0.5,true);
   var _loc8_ = new mx.transitions.Tween(o_mc,"_yscale",mx.transitions.easing.Strong.easeOut,35,85,0.5,true);
   var _loc10_ = new mx.transitions.Tween(o_mc,"_rotation",mx.transitions.easing.Strong.easeOut,o_mc._rotation,0,0.5,true);
   var _loc7_ = new mx.transitions.Tween(o_mc,"_x",mx.transitions.easing.Strong.easeOut,o_mc._x,635,0.5,true);
   var _loc6_ = new mx.transitions.Tween(o_mc,"_y",mx.transitions.easing.Strong.easeOut,o_mc._y,160,0.5,true);
   var _loc1_ = 0;
   while(_loc1_ < allOrders.length)
   {
      var _loc2_ = allOrders[_loc1_];
      var _loc3_ = orderx - orderinc * _loc1_;
      var _loc4_ = new mx.transitions.Tween(_loc2_,"_x",mx.transitions.easing.Strong.easeOut,_loc2_._x,_loc3_,0.5,true);
      _loc1_ = _loc1_ + 1;
   }
}
function resetOrder()
{
   var _loc1_ = 0;
   while(_loc1_ < o_mc.order.length)
   {
      o_mc.order[_loc1_].sideson = 0;
      o_mc["line" + (_loc1_ + 1)].crossedout_mc._visible = false;
      _loc1_ = _loc1_ + 1;
   }
}
function hideOrder()
{
   orderUp = false;
   _parent.info_mc.updateWaiting();
   var _loc2_ = new mx.transitions.Tween(o_mc,"_x",mx.transitions.easing.Strong.easeIn,o_mc._x,900,0.5,true);
   _loc2_.onMotionFinished = function()
   {
      o_mc.removeMovieClip();
   };
}
function updateOrder(topping)
{
   var _loc3_ = o_mc.order;
   var _loc1_ = 0;
   while(_loc1_ < _loc3_.length)
   {
      var _loc2_ = _loc3_[_loc1_];
      if(_loc2_.topping == topping && _loc2_.sideson < _loc2_.sides)
      {
         o_mc.order[_loc1_].sideson = o_mc.order[_loc1_].sideson + 1;
         if(o_mc.order[_loc1_].sideson == o_mc.order[_loc1_].sides)
         {
            o_mc["line" + (_loc1_ + 1)].crossedout_mc._visible = true;
            sfx_mc.playSound("pencil");
         }
         return true;
      }
      _loc1_ = _loc1_ + 1;
   }
   return false;
}
function isOrderComplete()
{
   var _loc2_ = o_mc.order;
   var _loc1_ = 0;
   while(_loc1_ < _loc2_.length)
   {
      if(_loc2_[_loc1_].sideson < _loc2_[_loc1_].sides)
      {
         return false;
      }
      _loc1_ = _loc1_ + 1;
   }
   return true;
}
function clearOrders()
{
   o_mc.removeMovieClip();
   if(allOrders.length)
   {
      var _loc1_ = 0;
      while(_loc1_ < allOrders.length)
      {
         allOrders[_loc1_].removeMovieClip();
         _loc1_ = _loc1_ + 1;
      }
   }
}
main_mc = this;
score = 0;
toppings = new Array("cheese","pepperoni","onion","bacon","pepper","chicken","mushroom","ham");
createToppingBins();
initLevel();
